Qt 5.6 | Qt Multimedia | C++ Classes | QCameraImageCaptureControl

Qt 5.6.2 Reference Documentation

# QCameraImageCaptureControl Class

The QCameraImageCaptureControl class provides a control interface for image capture services. More...

Header: | #include <QCameraImageCaptureControl>
qmake: | QT += multimedia
Inherits: | QMediaControl

- List of all members, including inherited members

## Public Functions

| ~QCameraImageCaptureControl()
virtual void | cancelCapture() = 0
virtual int | capture(const QString &fileName) = 0
virtual QCameraImageCapture::DriveMode | driveMode() const = 0
virtual bool | isReadyForCapture() const = 0
virtual void | setDriveMode(QCameraImageCapture::DriveMode mode) = 0

- 31 public functions inherited from QObject

## Signals

void | error(int id, int error, const QString &errorString)
void | imageAvailable(int requestId, const QVideoFrame &buffer)
void | imageCaptured(int requestId, const QImage &preview)
void | imageExposed(int requestId)
void | imageMetadataAvailable(int id, const QString &key, const QVariant &value)
void | imageSaved(int requestId, const QString &fileName)
void | readyForCaptureChanged(bool ready)

- 2 signals inherited from QObject

## Protected Functions

| QCameraImageCaptureControl(QObject *parent = Q_NULLPTR)

- 9 protected functions inherited from QObject

## Macros

| QCameraImageCaptureControl_iid

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 public variable inherited from QObject
- 10 static public members inherited from QObject
- 2 protected variables inherited from QObject

## Detailed Description

The QCameraImageCaptureControl class provides a control interface for image capture services.

The interface name of QCameraImageCaptureControl is `org.qt-project.qt.cameraimagecapturecontrol/5.0` as defined in QCameraImageCaptureControl_iid.

See also QMediaService::requestControl().

## Member Function Documentation

### `[protected]` QCameraImageCaptureControl::QCameraImageCaptureControl(QObject *parent = Q_NULLPTR)

Constructs a new image capture control object with the given parent

### QCameraImageCaptureControl::~QCameraImageCaptureControl()

Destroys an image capture control.

### `[pure virtual]` void QCameraImageCaptureControl::cancelCapture()

Cancel pending capture requests.

### `[pure virtual]` int QCameraImageCaptureControl::capture(const QString &fileName)

Initiates the capture of an image to fileName. The fileName can be relative or empty, in this case the service should use the system specific place and file naming scheme.

The Camera service should save all the capture parameters like exposure settings or image processing parameters, so changes to camera parameters after capture() is called do not affect previous capture requests.

Returns the capture request id number, which is used later with imageExposed(), imageCaptured() and imageSaved() signals.

### `[pure virtual]` QCameraImageCapture::DriveMode QCameraImageCaptureControl::driveMode() const

Returns the current camera drive mode.

See also setDriveMode().

### `[signal]` void QCameraImageCaptureControl::error(int id, int error, const QString &errorString)

Signals the capture request id failed with error code and message errorString.

See also QCameraImageCapture::Error.

### `[signal]` void QCameraImageCaptureControl::imageAvailable(int requestId, const QVideoFrame &buffer)

Signals that a captured buffer with a requestId is available.

### `[signal]` void QCameraImageCaptureControl::imageCaptured(int requestId, const QImage &preview)

Signals that an image with it requestId has been captured and a preview is available.

### `[signal]` void QCameraImageCaptureControl::imageExposed(int requestId)

Signals that an image with it requestId has just been exposed. This signal can be used for the shutter sound or other indicaton.

### `[signal]` void QCameraImageCaptureControl::imageMetadataAvailable(int id, const QString &key, const QVariant &value)

Signals that a metadata for an image with request id is available. Signal also contains the key and value of the metadata.

This signal should be emitted between imageExposed and imageSaved signals.

### `[signal]` void QCameraImageCaptureControl::imageSaved(int requestId, const QString &fileName)

Signals that a captured image with a requestId has been saved to fileName.

### `[pure virtual]` bool QCameraImageCaptureControl::isReadyForCapture() const

Identifies if a capture control is ready to perform a capture immediately (all the resources necessary for image capture are allocated, hardware initialized, flash is charged, etc).

Returns true if the camera is ready for capture; and false if it is not.

It's permissible to call capture() while the camera status is QCamera::ActiveStatus regardless of isReadyForCapture property value. If camera is not ready to capture image immediately, the capture request is queued with all the related camera settings to be executed as soon as possible.

### `[signal]` void QCameraImageCaptureControl::readyForCaptureChanged(bool ready)

Signals that a capture control's ready state has changed.

### `[pure virtual]` void QCameraImageCaptureControl::setDriveMode(QCameraImageCapture::DriveMode mode)

Sets the current camera drive mode.

See also driveMode().

## Macro Documentation

### QCameraImageCaptureControl_iid

`org.qt-project.qt.cameraimagecapturecontrol/5.0`

Defines the interface name of the QCameraImageCaptureControl class.